package ink.wgink.module.wechat.miniapp.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: MiniAppUpdatePhoneVO
 * @Description: 小程序更新手机
 * @Author: wanggeng
 * @Date: 2021/8/2 5:20 下午
 * @Version: 1.0
 */
@ApiModel
public class MiniappUpdatePhoneVO {

    @ApiModelProperty(name = "encryptedData", value = "加密数据")
    @CheckEmptyAnnotation(name = "加密数据")
    private String encryptedData;
    @ApiModelProperty(name = "iv", value = "向量")
    @CheckEmptyAnnotation(name = "iv")
    private String iv;

    public String getEncryptedData() {
        return encryptedData == null ? "" : encryptedData.trim();
    }

    public void setEncryptedData(String encryptedData) {
        this.encryptedData = encryptedData;
    }

    public String getIv() {
        return iv == null ? "" : iv.trim();
    }

    public void setIv(String iv) {
        this.iv = iv;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"encryptedData\":\"")
                .append(encryptedData).append('\"');
        sb.append(",\"iv\":\"")
                .append(iv).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
